Skip site navigation (1) Skip section navigation (2)

Error installing PostgreSQL

From: "Just E(dot) Mail" <justemail(at)imwell-usa(dot)com>
To: pgsql-novice(at)postgresql(dot)org
Subject: Error installing PostgreSQL
Date: 2009-04-05 15:28:23
Message-ID: 49D8CE17.60103@imwell-usa.com (view raw or flat)
Thread:
Lists: pgsql-novice
Hello:

My first try installing PostgreSQL (CentOS 5.2). I am following the 
"Installing PostgreSQL on Red Hat Enterprise LINUX / Fedora Core". This 
document says that to install a PostgreSQL Server, I need to install 
(minimum) the following:

1. postgresql-libs
2. postgresql
3. postgresql-server

When I try to install:  postgresql-libs-8.3.7-1PGDG.rhel5.i386.rpm
I get a dependency error saying that file:  libpg.so.4 is missing.

Question:

1. How to fix this problem?
2. I noticed that "postgresql" module also need libpg.so.5. How this can 
be fixed?

I have searched the net and there is lot of quires about missing 
libpg.so.4 but no solution.
HELP.

Sam

Responses

pgsql-novice by date

Next:From: Tom LaneDate: 2009-04-05 15:40:44
Subject: Re: Error installing PostgreSQL
Previous:From: Just E. MailDate: 2009-04-05 12:26:30
Subject: PostgreSQL vs. PostgreSQL PLUS

Privacy Policy | About PostgreSQL
Copyright © 1996-2014 The PostgreSQL Global Development Group